# Autenticación

### Obtener tu API Key

Puedes obtener tu **API SECRET** ingresando en la sección API del área de configuración de cuenta dentro de tu panel de Reveniu.

### Hacer y recibir información de forma segura con el API

Todas las peticiones que hagas al API deben contener en los headers tu secret:

Ejemplo:

```bash
curl https://api.reveniu.com/api/v1/....
  -H "Reveniu-Secret-Key: AJF1aks1353jef235" \

```

Adicionalmente, todos los webhooks que recibas tendrán la misma variable en el header, de forma que puedas verificar el origen del envío y estar seguro que sólo estas recibiendo posts de alguien con tu secret

**Desde luego, debes mantener tu secret a buen resguardo. Nunca lo almacenes en variables de estado que luego puedan ser públicamente vista en github, por ejemplo**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reveniu.com/api/autenticacion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
